var SmartclipParser = function(){

  return {
      parseDom: function( dom, callback, ad ) {
            var adDetails = XmlUtils.getElement(dom, "ad_details").item(0);

            if (ad == null || ad == undefined) {
              ad = {
                trackings: []
              }
            }

            var url = adDetails.getAttribute("imageUrl");
            var m = url.match(/.*\.([^\.]*)/)
            var type = "";
            if (m) {
              type = m[1];
            }
            var data = {
              "width" : adDetails.getAttribute("width"),
              "height" : adDetails.getAttribute("height"),
              "url" : url,
              "type" : type
            }
            if (ad["url"] == null) {
              ad["url"] = [];
            }
            ad["url"].push(data);
            var trackings = XmlUtils.getElement(adDetails, "agencyTracker");
            if (trackings != null && trackings.length > 0){
               for (var i = 0; i < trackings.length; i++) {
                  var tracker = trackings.item(i);
                  var tracking = {
                    key: "track_" + tracker.getAttribute("progress"),
                    url: tracker.getAttribute("url")
                  }
                  ad.trackings.push(tracking);
               }
            }
            callback(ad);
      }
  }

};
