/**
 * XML Hilfsmethoden
 */
var XmlUtils = function() {

  var self = {};

  self.getElement = function(dom, select) {
    var names = select.split("/");
    var result = dom;

    for (var i in names) {
      if (result == null || result.length == 0) {
        return null;
      }
      if (typeof result.item == 'function') {
        result = result.item(0);
      }

      result = result.getElementsByTagName(names[i]);
    }

    return result;
  }

  self.getText = function(node) {
    if (typeof node.item == 'function') {
      node = node.item(0);
    }

    if (node == null || node.firstChild == null) {
      return null;
    }

    return node.firstChild.data;
  }

  return self;
}();
